Статус черги
Посібник з інтеграції мобільного додатку
Статус черги
Отримує поточний статус одного елемента вихідної черги.
Параметри запиту
| Поле | Тип | Опис | |
|---|---|---|---|
| id | integer | обов'язково | ID повідомлення в черзі. |
Приклад запиту
cURL
curl "https://api.rcszilla.com/?endpoint=queue_status&id=101" \ -H "Authorization: Bearer YOUR-DEVICE-TOKEN"
Відповідь
JSON200 OK
{
"success": true,
"id": "101",
"status": "delivered",
"sent_at": "2026-04-29 10:01:45",
"failed_reason": null
}
Status Values
| Status | Опис |
|---|---|
| pending | Waiting to be picked up by a device. |
| processing | Claimed by a device, currently being sent. |
| sent | Handed off to the carrier. |
| delivered | Carrier delivery confirmation received. |
| failed | Send failed. Check failed_reason. |
| cancelled | Cancelled by the user via the web panel. |